{
  "name": "edm-backend",
  "version": "0.1.0",
  "description": "Enterprise Document Management",
  "main": "src/app.ts",
  "scripts": {
    "format": "prettier --write .",
    "dev": "concurrently \"nodemon\" \"nodemon -x tsoa spec-and-routes\"",
    "build": "tsoa spec-and-route && tsc",
    "preview": "node ./dist/app.js",
    "serve": "node ./dist/app.js",
    "docs": "npm run docs:typedoc && npm run docs:swagger",
    "docs:typedoc": "typedoc && scp -r be-typedoc projects-doc:~/projects/project-docs/edm/ && rm -r be-typedoc",
    "docs:swagger": "scp src/swagger.json projects-doc:~/projects/project-docs/edm/"
  },
  "keywords": [],
  "author": "",
  "license": "ISC",
  "dependencies": {
    "@elastic/elasticsearch": "^8.10.0",
    "@tsoa/runtime": "^5.0.0",
    "amqplib": "^0.10.3",
    "concurrently": "^8.2.2",
    "cors": "^2.8.5",
    "dotenv": "^16.3.1",
    "express": "^4.18.2",
    "fast-jwt": "^3.3.1",
    "minio": "^7.1.3",
    "prettier": "^3.1.0",
    "promise.any": "^2.0.6",
    "socket.io": "^4.7.2",
    "swagger-ui-express": "^5.0.0",
    "tsoa": "^5.1.1"
  },
  "devDependencies": {
    "@types/amqplib": "^0.10.4",
    "@types/cors": "^2.8.17",
    "@types/express": "^4.17.21",
    "@types/jsonwebtoken": "^9.0.5",
    "@types/node": "^20.9.0",
    "@types/swagger-ui-express": "^4.1.6",
    "nodemon": "^3.0.1",
    "ts-node": "^10.9.1",
    "typedoc": "^0.25.3",
    "typescript": "^5.2.2"
  }
}
